Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.error
Class ErrorSupport

    java.lang.Object
      org.jdesktop.swingx.error.ErrorSupport

    public class ErrorSupport

extends java.lang.Object

ErrorSupport provides support for managing error listeners.

Author:
  Joshua Marinacci joshua.marinacci@sun.com
See Also:
  `ErrorListener`, `ErrorEvent`

Constructor Summary
`ErrorSupport(java.lang.Object source)` Creates a new instance of `ErrorSupport`

Method Summary
`void` | `addErrorListener(ErrorListener listener)` Add an ErrorListener
`void` | `fireErrorEvent(java.lang.Throwable throwable)` Report that an error has occured
`ErrorListener[]` | `getErrorListeners()` Returns an array of all the listeners which were added to the `ErrorSupport` object with `addErrorListener()`.
`void` | `removeErrorListener(ErrorListener listener)` Remove an error listener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorSupport

    public ErrorSupport(java.lang.Object source)

  Creates a new instance of `ErrorSupport`

  Parameters:
    `source` - The object which will fire the `ErrorEvent`s

Method Detail

### addErrorListener

    public void addErrorListener(ErrorListener listener)

  Add an ErrorListener

  Parameters:
    `listener` - the listener to add

### removeErrorListener

    public void removeErrorListener(ErrorListener listener)

  Remove an error listener

  Parameters:
    `listener` - the listener to remove

### getErrorListeners

    public ErrorListener[] getErrorListeners()

  Returns an array of all the listeners which were added to the `ErrorSupport` object with `addErrorListener()`.

  Returns:
    all of the `ErrorListener`s added or an empty array if no listeners have been added.

### fireErrorEvent

    public void fireErrorEvent(java.lang.Throwable throwable)

  Report that an error has occured

  Parameters:
    `throwable` - The ``Error`` or ``Exception`` which occured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.